0

How can I tell exactly what is missing and from which module? (I assume it's draggableviews)

How can I remedy this error - or is it in the hands of a contrib module developer or where can I go to see how to contribute the missing plugin?

This is the output of drush @badev updb.

 ---------------- --------------------------------- --------------- ------------------------------------------------------------------------- 
  Module           Update ID                         Type            Description                                                              
 ---------------- --------------------------------- --------------- ------------------------------------------------------------------------- 
  draggableviews   8104                              hook_update_n   Implements hook_update().                                                
  comment          enable_comment_admin_view         post-update     Enable the comment admin view.                                           
  dblog            convert_recent_messages_to_view   post-update     Replace 'Recent log messages' with a view.                               
  field            remove_handler_submit_setting     post-update     Remove the stale 'handler_submit' setting for entity_reference fields.   
  node             configure_status_field_widget     post-update     Load all form displays for nodes, add status with these settings, save.  
  system           classy_message_library            post-update     Clear caches to ensure Classy's message library is always added.         
  system           field_type_plugins                post-update     Force field type plugin definitions to be cleared.   @see                
                                                                     https:www.drupal.orgnode2403703                                          
  views            revision_metadata_fields          post-update     Fix table names for revision metadata fields.                            
 ---------------- --------------------------------- --------------- ------------------------------------------------------------------------- 

 Do you wish to run the specified pending updates? (yes/no) [yes]:
 > yes

 [notice] Executing draggableviews_update_8104
 [error]  The "list" plugin does not exist. 
 [ok] Performing draggableviews_update_8104
Array   Array
 [success] Cache rebuild complete.
 [success] Finished performing updates.
Connection to drupal8vm.dev closed.

1 Answer 1

0

This is solved now. I think that there was a mismatch between the PHP/ Drush / Drupal 8.4.3 versions.

This confused me so I include a table below of what is now working for me. I used it as a checklist to ensure that I had both a dev Drupal 8.3.7 and a dev Drupal 8.4.3 running in parallel.

Despite what the documentation says I think Drush 8.1.15 is not suitable for Drupal 8.4.3 and yes, there are some Drush 9.0.0-rc1 commands that don't work as expected - like dumping SQL and redirecting SQL files to drush sqlc - but it is workable.

Bits and pieces in each of existing and future Drupal

               iMac               MacBook                
PHP VM         7.1.12             7.1.12              
PHP Host       7.1.12             7.1.12
Drush VM       8.1.16-dev         ~9.0     
Drush Host     8.1.15             ~9.0            
Drupal Core    8.3.7              8.4.3
MySQL          5.7.20             5.7.20   (Required MySQL 5.5.3/MariaDB 5.5.20)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.